package user

import "github.com/wenstudio/gofly/models"

/**
user 模块定义一个接口,
接口实现可以从不同的数据源来验证访客合法性, 获取用户信息等
也可以对客服人员验证, 获取基本信息
*/

type IUser interface {
	// 根据 key 获得访客信息
	GetVisitorInfo(key interface{}) (*models.Visitor, error)
	// 获取客服信息
	GetKeFuInfo(key interface{}) (*models.User, error)
	// 生成 visitor_id
	GenVisitorId(key interface{}) string
}
